Module
Contents
Index 🔎︎

# Const Statement

Definira znakovni niz kao konstantu.

## Syntax:

    Const Text = Izraz

## Parametri:

Text: Any constant name that follows the standard variable naming conventions.

Konstanta je varijabla koja poboljšava čitljivost programa. Konstante nemaju specifičan tip, nego se koriste kao rezervirano mjesto u kodu. Konstantu možete definirati samo jednom, te je ne možete mijenjati. Sljedeći izraz definira konstantu:

CONST NazivKonstante=Izraz

Vrsta izraza je nebitna. Ako se pokrene program, LibreOffice Basic interno pretvori kod programa tako da dodijeljeni izraz zamijeni konstantu gdje god se konstanta koristi u programu.

## Primjer:

    Sub ExampleConst

        Const iVar = 1964

        MsgBox iVar

        Const sVar = "Program", dVar As Double = 1.00

        MsgBox sVar & " " & dVar

    End Sub